Subject: RE: [AVT] RFC3711: Srtp key_id ?

From: "Karl Norrman \(KI/EAB\)" <[email-masked]>
Date: Fri, 19 Nov 2004 17:08:12 +0100

Hello!

I think there is a slight misunderstanding here.
I suppose Milo is referring to "key_id" on Page 27.
It is there used as variable (place holder) to easy
up the notation.

Regards,
Karl

> -----Original Message-----
> From: David A. McGrew [mailto:[email-masked]]
> Sent: den 19 november 2004 17:04
> To: milo diurn
> Cc: [email-masked]; Karl Norrman (KI/EAB); [email-masked]; 
> Elisabetta
> Carrara (KI/EAB)
> Subject: Re: [AVT] RFC3711: Srtp key_id ?
> 
> 
> Milo,
> 
> On Nov 19, 2004, at 7:12 AM, milo diurn wrote:
> 
> > Karl, and Srtp community,
> >
> > In RFC3711,
> > how is key_id defined and by which part (external/internal) ?
> 
> it is defined externally.  From Section 3.1:
> 
>     MKI (Master Key Identifier): configurable length, OPTIONAL.  The
>                MKI is defined, signaled, and used by key management.
> 
> 
> >
> > If key_id belongs to the Srtp parameters, why do not 
> referring to it in
> > the parameters list (chap 8.2) ?
> 
> It is there, but you might have missed it because it is only referred 
> to by the acronym "MKI"
> 
> Hope this helps!
> 
> David
> 
> >
> > Could you, please, clarify this point ?
> >
> > Thanks
> >
> > Regards
> >
> > _________________________________________________________________
> > FREE pop-up blocking with the new MSN Toolbar - get it now! 
> > http://toolbar.msn.click-url.com/go/onm00200415ave/direct/01/
> >
> 

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt